Loading...
Searching...
No Matches
def.c File Reference
`#include "lwip/opt.h"`
`#include "lwip/def.h"`
`#include <string.h>`

## Functions

u16_t | lwip_htons (u16_t n)
u32_t | lwip_htonl (u32_t n)
char * | lwip_strnstr (const char *buffer, const char *token, size_t n)
char * | lwip_strnistr (const char *buffer, const char *token, size_t n)
int | lwip_stricmp (const char *str1, const char *str2)
int | lwip_strnicmp (const char *str1, const char *str2, size_t len)
void | lwip_itoa (char *result, size_t bufsize, int number)
int | lwip_memcmp_consttime (const void *s1, const void *s2, size_t len)

## Detailed Description

Common functions used throughout the stack.

These are reference implementations of the byte swapping functions. Again with the aim of being simple, correct and fully portable. Byte swapping is the second thing you would want to optimize. You will need to port it to your architecture and in your cc.h:

#define lwip_htons(x) your_htons #define lwip_htonl(x) your_htonl

Note lwip_ntohs() and lwip_ntohl() are merely references to the htonx counterparts.

If you #define them to htons() and htonl(), you should #define LWIP_DONT_PROVIDE_BYTEORDER_FUNCTIONS to prevent lwIP from defining htonx/ntohx compatibility macros.

## Function Documentation

## lwip_htonl()

u32_t lwip_htonl | ( | u32_t | n | ) |

Convert an u32_t from host- to network byte order.

Parameters

  n | u32_t in host byte order

Returns
  n in network byte order

## lwip_htons()

u16_t lwip_htons | ( | u16_t | n | ) |

Convert an u16_t from host- to network byte order.

Parameters

  n | u16_t in host byte order

Returns
  n in network byte order